Package relaxngcc.codedom

# Class CDMethod

java.lang.Object
relaxngcc.codedom.CDMethod

public class CDMethod extends Object

## Constructor Summary

Constructors
Constructor
Description
`CDMethod(CDLanguageSpecificString forwardspecifier, CDType returntype, String name, CDLanguageSpecificString backwardspecifier)`

## Method Summary

Modifier and Type
Method
Description
`CDBlock`
`body()`
Gets a reference to the method body.
`CDVariable`
`param(CDType type, String name)`
Adds a new parameter to this method and returns a reference to it.
`void`
`writeTo(CDFormatter f)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDMethod

public CDMethod(CDLanguageSpecificString forwardspecifier, CDType returntype, String name, CDLanguageSpecificString backwardspecifier)

## Method Details

### param

public CDVariable param(CDType type, String name)
Adds a new parameter to this method and returns a reference to it.

### body

public CDBlock body()
Gets a reference to the method body.

### writeTo

public void writeTo(CDFormatter f) throws IOException

Throws:
  `IOException`